package com.pcloud.book.mq.producer;

import com.pcloud.book.book.dto.BookCoverImgUpdateDTO;
import com.pcloud.book.book.dto.BookNameUpdateDTO;
import com.pcloud.book.book.dto.CreateBookVO;
import com.pcloud.book.clock.dto.PushBookClockKeywordDTO;

import java.util.List;

public interface BookMQProducer {

  void sendUpdateBookCoverImgTopic(BookCoverImgUpdateDTO bookCoverImgUpdateDTO);

  void sendUpdateBookNameTopic(BookNameUpdateDTO bookNameUpdateDTO);

  void pushBookClockKeyword(PushBookClockKeywordDTO pushBookClockKeywordDTO);

  void addCreateInfoToMq(List<CreateBookVO> createBookVOList);
}
